=== debian/changelog ===
lightspark (0.4.4.3-1) experimental; urgency=low

  [ Didier Raboud ]
  * New upstream release.
  * debian/control:
    - Build-depend on libxml++2.6-dev.
  * debian/lightspark-{,common}.install:
    - Install localization, icon, and .desktop files.

  [ Luca Falavigna ]
  * debian/browser-plugin-lightspark.dirs:
    - Make sure /usr/lib/mozilla/plugins is created before trying to
      provide alternatives for flash-mozilla.so (Closes: #601019).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Oct 2010 14:21:32 +0200

lightspark (0.4.4.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Build-depend on libboost-{filesystem,system,regex}-dev.
    - Recommend gnash for lightspark package (Closes: #597200).
  * debian/copyright:
    - Update with latest copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 22 Sep 2010 18:31:48 +0200

lightspark (0.4.4.1-1) experimental; urgency=low

  * New upstream bugfix release.

  * Putting under Debian Flash Maintainers <pkg-flash-devel@l.a.d.o> umbrella:
    - git repository moved from collab-maint to pkg-flash
    - Vcs-* Fields updated accordingly
    - Maintainer changed, moved myself to Uploaders.

 -- Didier Raboud <didier@raboud.com>  Thu, 02 Sep 2010 21:44:43 +0200

lightspark (0.4.4-1) experimental; urgency=low

  * New upstream release

  * debian/patches/hurd.patch: Refresh.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 14:31:10 +0200

lightspark (0.4.3-1) experimental; urgency=low

  * New upstream release (Closes: #593367).

  [ Didier Raboud ]
  * debian/watch: Manage rc versions.

  [ Luca Falavigna ]
  * debian/patches/hurd.patch:
    - Basic GNU/Hurd support.
  * debian/browser-plugin-lightspark.*:
    - Implement alternatives on flash-mozilla.so (Closes: #590565).
  * debian/control:
    - Limit architectures to any-i386 and any-amd64 (Closes: #591357).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 18 Aug 2010 18:49:12 +0200

lightspark (0.4.2.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on gnash-common, and add it as recommended package
      for browser-plugin-lightspark to enable fallback support.
    - Build depend on xulrunner-dev (>= 1.9.2).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 05 Aug 2010 21:05:43 +0200

lightspark (0.4.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

  [ Luca Falavigna ]
  * debian/patches/avoidManpageErrors.patch
    - Removed, adopted upstream.
  *  debian/patches/privateLibrary.patch
    - Removed, adopted upstream.
  * debian/control:
    - Limit architectures to i386 amd64 kfreebsd-any (Closes: #590267).
    - Bump Standards-Version to 3.9.1, no changes required.

  [ Didier Raboud ]
  * debian/control:
    - Add pulseaudio recommends to lightspark-common, for real.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Jul 2010 20:08:45 +0200

lightspark (0.4.2-1) experimental; urgency=low

  [ Didier Raboud ]
  * Initial upload to Debian (Closes: #582120).
    - Re-use upstream's PPA packaging. Thanks to Alessandro Pignotti !
  * debian/control:
    - Set myself as Maintainer, put DMUA.
    - Adapt Vcs-* fields to Debian's collab-maint.
    - Arch is any.
    - Use llvm-2.7-dev in addition to llvm-dev (> 2.7).
    - Correct "we" typos.
    - Add pulseaudio recommends.
  * New packages: 
    - -dbg package.
    - -common package with the private library and data.
  * Add lintian overrides for the use of rpath for the private library.
  * debian/copyright: Update.
  * debian/watch: Update using Launchpad.net.
  * Move from cdbs to dh7 tiny style.
  * Cleanup:
    - Remove empty README.Debian.
  * Use 3.0 (quilt) source package format.
  * Patch manpage to correct hyphen-used-as-minus error.

  [ Luca Falavigna ]
  * debian/control:
    - Add myself to Uploaders.
    - Rename mozilla-plugin-lightspark to browser-plugin-lightspark to
      match naming scheme by Mozilla team.
  * debian/copyright:
    - Add missing license information.

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Jul 2010 10:43:03 +0200

lightspark (0.4.1-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 05 Jun 2010 03:13:43 +0200

lightspark (0.4.0~rc3-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 19:16:49 +0200

lightspark (0.4.0~rc2-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 04:06:21 +0200

lightspark (0.4.0~rc1-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 28 May 2010 06:23:06 +0200

lightspark (0.3.9-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Mon, 24 May 2010 13:14:46 +0200

lightspark (0.3.8-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sun, 23 May 2010 01:16:32 +0200

lightspark (0.3.7-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 21 May 2010 23:12:25 +0200

lightspark (0.3.6-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 23:42:28 +0200

lightspark (0.3.5-ubuntu1) lucid; urgency=low

  * A fix in SWF parsing
  * Show debug message also in standalone version

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 02:02:18 +0200

lightspark (0.3.4-ubuntu1) lucid; urgency=low

  * Fixed a bug triggered by compiler optimizations

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 19:33:43 +0200

lightspark (0.3.3-ubuntu1) lucid; urgency=low

  * Enable assertions in release builds

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 05:26:49 +0200

lightspark (0.3.2-ubuntu1) lucid; urgency=low

  * Enable debug output in release


