=== debian/control ===
Source: lightspark
Section: utils
Priority: optional
Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>, Luca Falavigna <dktrkranz@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50),
	cmake,
	nasm,
	llvm-2.7-dev (>= 2.7) | llvm-dev (>= 2.7),
	libcurl4-gnutls-dev,
	zlib1g-dev,
	libgl1-mesa-dev,
	libpcre3-dev,
	libavutil-dev,
	libftgl-dev,
	libx11-dev,
	libglu1-mesa-dev,
	fontconfig,
	libglew-dev,
	libboost-filesystem-dev,
	libboost-system-dev,
	libboost-regex-dev,
	libpulse-dev,
	libavcodec-dev,
	libgtk2.0-dev,
	libnspr4-dev,
	xulrunner-dev (>= 1.9.2),
	libsdl-dev,
	libffi-dev,
	libxml++2.6-dev,
	gnash-common
Standards-Version: 3.9.1
Homepage: http://lightspark.sf.net
Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git

Package: lightspark
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash
Description: High-performance SWF player (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.

Package: browser-plugin-lightspark
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnash-common
Description: High-performance SWF player - Mozilla Plugin (experimental)
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the mozilla plugin.

Package: lightspark-common
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
Recommends: pulseaudio
Description: High-performance SWF player - common data
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the common library and data.

Package: lightspark-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 lightspark (= ${binary:Version}) |
 browser-plugin-lightspark (= ${binary:Version}) |
 lightspark-common (= ${binary:Version})
Description: High-performance SWF player (experimental) - Debug symbols
 Lightspark is a free Flash player for Linux which aims for high-performance
 by using modern technologies such as JIT compilation and OpenGL shaders.
 .
 The project is currently in an alpha status and provides the standalone
 player and mozilla plugin for testing purposes only.
 .
 Nice features:
  * JIT compilation of ActionScript to native x86 bytecode
  * Hardware accelerated rendering using OpenGL shaders (GLSL)
  * Aims to support current-generation ActionScript 3
  * A new, clean, codebase exploiting multithreading and optimized for modern
    hardware. Designed from scratch after the official Flash documentation was
    released.
 .
 This package contains the debug symbols.
