=== debian/changelog ===
lightspark (0.4.5.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Allow build on powerpc architecture.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 19 Dec 2010 14:02:47 +0100
