=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
 
 Package: lightspark
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash
 Description: High-performance SWF player (experimental)
@@ -55,7 +55,7 @@
     released.
 
 Package: browser-plugin-lightspark
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash-common
 Description: High-performance SWF player - Mozilla Plugin (experimental)
@@ -76,7 +76,7 @@
  This package contains the mozilla plugin.
 
 Package: lightspark-common
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
@@ -99,7 +99,7 @@
 Package: lightspark-dbg
 Section: debug
 Priority: extra
-Architecture: any-i386 any-amd64
+Architecture: any-i386 any-amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  lightspark (= ${binary:Version}) |
  browser-plugin-lightspark (= ${binary:Version}) |
