## lightspark 0.4.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
 SET(PATCH_VERSION "5")
-SET(SUBPATCH_VERSION "1")
+SET(SUBPATCH_VERSION "3")
 
 ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}")
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
@@ -244,6 +244,13 @@
 IF(MSVC)
   ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -DVPCOMPAT -DPTW32_STATIC_LIB -DPCRE_STATIC)
 ENDIF(MSVC)
+
+# Check if the system have atomic header ( gcc >= 4.6 )
+INCLUDE (CheckIncludeFileCXX)
+CHECK_INCLUDE_FILE_CXX (atomic HAVE_ATOMIC)
+IF(HAVE_ATOMIC)
+  ADD_DEFINITIONS(-DHAVE_ATOMIC)
+ENDIF(HAVE_ATOMIC)
 
 # Setting the output directories, so we can build all profiles without mixmatching
 IF(CMAKE_COMPILER_IS_GNUCC)
@@ -318,7 +325,3 @@
 
 INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
 
-# liblightspark.so target
-IF(CMAKE_COMPILER_IS_GNUCC)
-  ADD_LIBRARY(spark SHARED ${LIBSPARK_SOURCES})
-  SET_TARGET_PROPERTIES(spark PROPERTIES OUTPUT_NAME lightspark)
