=== debian/changelog ===
lightspark (0.4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * Keep our armel build-related changes.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 28 Feb 2011 20:35:23 +0200

lightspark (0.4.5.1-1ubuntu1) natty; urgency=low

  * debian/patches/armel_build.patch:
     - Add arm target to CMakeLists.txt
  * debian/control:
    - Allow build on armel architecture.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 20 Dec 2010 21:40:10 +0200
