## lightspark 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,16 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "5")
-SET(SUBPATCH_VERSION "3")
-
-ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}")
+SET(PATCH_VERSION "6")
+SET(SUBPATCH_VERSION "0")
+
+IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+	SET(GIT_VERSION "-git")
+ELSE(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+	SET(GIT_VERSION "")
+ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+
+ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
 
 # GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
@@ -110,6 +116,7 @@
 SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
+SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
 SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
 IF(NOT CMAKE_BUILD_TYPE)
 	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
@@ -124,16 +131,19 @@
 # Libraries we need
 INCLUDE(FindGettext REQUIRED)
 INCLUDE(FindLLVM REQUIRED)
+IF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
+	ADD_DEFINITIONS(-DLLVM_28)
+ENDIF(${LLVM_STRING_VERSION} VERSION_LESS 2.9)
 INCLUDE(FindSDL REQUIRED)
 INCLUDE(FindZLIB REQUIRED)
 INCLUDE(FindFreetype REQUIRED)
 INCLUDE(FindOpenGL REQUIRED)
-INCLUDE(FindPCRECPP REQUIRED)
+INCLUDE(FindPCRE REQUIRED)
 INCLUDE(FindFTGL REQUIRED)
 INCLUDE(FindGLEW REQUIRED)
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
-	pkg_check_modules(XMLPP REQUIRED libxml++-2.6)
+	pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
 ENDIF(UNIX)
 
 if(WIN32)
@@ -145,8 +155,7 @@
 find_package(Boost COMPONENTS filesystem system REQUIRED)
 if(Boost_FOUND)
   INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
-ENDIF(Boost_FOUND)
-
+ENDIF(Boost_FOUND) 
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
   pkg_check_modules(EXTRA_LIBS REQUIRED x11 fontconfig cairo)
@@ -194,7 +203,7 @@
 INCLUDE_DIRECTORIES(${Threads_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
 INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${PCRECPP_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
@@ -225,6 +234,12 @@
   ADD_DEFINITIONS(-DENABLE_CURL)
 ENDIF(ENABLE_CURL)
 
+IF(ENABLE_RTMP)
+  pkg_check_modules(RTMP REQUIRED librtmp)
+  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${RTMP_LIBRARIES})
+  ADD_DEFINITIONS(-DENABLE_RTMP)
+ENDIF(ENABLE_RTMP)
+
 IF(ENABLE_DEBIAN_ALTERNATIVES)
   SET(PLUGIN_DIRECTORY ${PRIVATELIBDIR})
 ENDIF(ENABLE_DEBIAN_ALTERNATIVES)
@@ -233,7 +248,7 @@
 IF(CMAKE_COMPILER_IS_GNUCC)
   SET(CMAKE_CXX_FLAGS
 	"${CMAKE_CXX_FLAGS} -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x -Wdisabled-optimization")
-  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG")
+  SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -DEXPENSIVE_DEBUG -DPROFILING_SUPPORT")
   SET(CMAKE_CXX_FLAGS_PROFILE "-g -pg -O2")
   SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
   SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O2 -DNDEBUG")
@@ -273,12 +288,14 @@
   backends/audio.cpp
   backends/config.cpp
   backends/decoder.cpp
+  backends/extscriptobject.cpp
   backends/geometry.cpp
   backends/graphics.cpp
   backends/input.cpp
   backends/netutils.cpp
   backends/pluginmanager.cpp
   backends/rendering.cpp
+  backends/rtmputils.cpp
   backends/security.cpp
   backends/urlutils.cpp
   parsing/amf3_generator.cpp
@@ -309,19 +326,3 @@
   scripting/toplevel.cpp
   scripting/vm.cpp)
 IF(${i386})
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
-  IF(CMAKE_COMPILER_IS_GNUCC)
-    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_i686.asm)
-  ELSE (CMAKE_COMPILER_IS_GNUCC)
-    SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_32vc.cpp)
-  ENDIF(CMAKE_COMPILER_IS_GNUCC)
-ELSEIF(${x86_64})
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_x86.cpp)
-  #Why is there a particular faspaths_32vc but none for 64 bit?
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/fastpaths_amd64.asm)
-ELSE()
-  SET(LIBSPARK_SOURCES ${LIBSPARK_SOURCES} platforms/slowpaths_generic.cpp)
-ENDIF(${i386})
-
-INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
-
