=== debian/changelog ===
lightspark (0.4.6-0ubuntu1) natty; urgency=low

  * New upstream release, fixes YouTube support.
  * debian/control: Drop libffi-dev build dependency, wrap-and-sort
    the build-depends.
  * debian/docs: Add upstream ChangeLog.
  * Keep our armel build-related changes.

 -- Jani Monoses <jani@ubuntu.com>  Tue, 15 Mar 2011 11:39:51 +0200
