=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
 	libnspr4-dev,
 	xulrunner-dev (>= 1.9.2),
 	libsdl-dev,
-	libffi-dev,
 	libxml++2.6-dev,
 	gnash-common
 Standards-Version: 3.9.1
